Get Orders Analytics Table v1
curl --request GET \
--url https://api.retailreadyai.com/api/v1/orders/analytics/tableimport requests
url = "https://api.retailreadyai.com/api/v1/orders/analytics/table"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.retailreadyai.com/api/v1/orders/analytics/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Orders analytics table retrieved successfully",
"data": [
{
"asn_sent_at": null,
"brand": "Brand1",
"total_cartons": 64,
"total_labels": 65,
"unique_labels": 65,
"order_number": "0101109828",
"total_pallets": 1,
"retailer": "Retailer1",
"unique_sku_count": 1,
"order_status": "Staged",
"total_units": 768,
"total_vas_actions": 0
},
{
"asn_sent_at": null,
"brand": "Brand1",
"total_cartons": 64,
"total_labels": 65,
"unique_labels": 65,
"order_number": "01009827",
"total_pallets": 1,
"retailer": "Retailer1",
"unique_sku_count": 1,
"order_status": "Staged",
"total_units": 768,
"total_vas_actions": 0
},
{
"asn_sent_at": "Fri, 07 Mar 2025 15:36:48 GMT",
"brand": "Brand1",
"total_cartons": 2,
"total_labels": 3,
"unique_labels": 3,
"Order ID": "01019824",
"total_pallets": 1,
"retailer": "Retailer1",
"unique_sku_count": 1,
"order_status": "Staged",
"total_units": 24,
"total_vas_actions": 0
}
]
}{
"message": "<string>",
"error": {
"code": "<string>"
}
}Orders
Get Orders Analytics Table v1
Fetches a paginated list of orders with analytics data.
GET
/
api
/
v1
/
orders
/
analytics
/
table
Get Orders Analytics Table v1
Query Parameters
If page or page_size are not provided, page will default to 1 and page_size will default to 10.
Maximum page_size is 10. If page or page_size are not provided, page will default to 1 and page_size will default to 10.
Response
Successful retrieval of orders analytics table.
Example:
"Orders analytics table retrieved successfully"
Show child attributes
Show child attributes
Example:
[
{
"asn_sent_at": null,
"brand": "Brand1",
"total_cartons": 64,
"total_labels": 65,
"unique_labels": 65,
"order_number": "0101109828",
"total_pallets": 1,
"retailer": "Retailer1",
"unique_sku_count": 1,
"order_status": "Staged",
"total_units": 768,
"total_vas_actions": 0
},
{
"asn_sent_at": null,
"brand": "Brand1",
"total_cartons": 64,
"total_labels": 65,
"unique_labels": 65,
"order_number": "01009827",
"total_pallets": 1,
"retailer": "Retailer1",
"unique_sku_count": 1,
"order_status": "Staged",
"total_units": 768,
"total_vas_actions": 0
},
{
"asn_sent_at": "Fri, 07 Mar 2025 15:36:48 GMT",
"brand": "Brand1",
"total_cartons": 2,
"total_labels": 3,
"unique_labels": 3,
"Order ID": "01019824",
"total_pallets": 1,
"retailer": "Retailer1",
"unique_sku_count": 1,
"order_status": "Staged",
"total_units": 24,
"total_vas_actions": 0
}
]
⌘I

